| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::tlv Class Reference
Private

`#include <tlv.hpp>`

Inherits libdar::memory_file.

## Public Member Functions
| tlv (generic_file &f)
void | setup (generic_file &f)
void | dump (generic_file &f) const
U_16 | get_type () const
void | set_type (U_16 val)

## Detailed Description

Type Length Value Structure

this structure holds arbitrary type of data this is used in particular for the slice header

Note
  a tlv is a memory_file, that way it holds the *V*alue and *L*ength of the data. Only the *T*ype field needs to be added to the memory_file datastructure

Definition at line 45 of file tlv.hpp.

The documentation for this class was generated from the following file:

- tlv.hpp